/**
 * date_2.js
 * 
 * Script to test the DateField
 * $Id$
 *
 */

 Ext.onReady(function(){

    Ext.QuickTips.init();

	var wdg = new Ext.form.DateField({
		format: 'Y-m-d',
//		value: '1959-10-19',
		emptyText: '2006-03-06',
		width: 230,
	});
	
	wdg.on('select',function(datefield, date){
		dt = datefield.getValue();
		if(dt instanceof Date){
			console.log(dt.format(datefield.format));	
		}
	});
	
	var panel = new Ext.Panel({
		renderTo: "appmain",
		bodyStyle: 'padding:5px 5px 0',
		height: 50,
		width: 350,
		frame: true,
		labelWidth: 75,
		items: [wdg],
	});
});